﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class BehaviorChargejump
    {
        public static void Chargejump(IClientPlayer player)
        {
            // Charging jumpforce
            if (player.Entity.Controls.Sneak && player.Entity.CollidedVertically && !player.Entity.Controls.TriesToMove && !DataFields.isCrawling && !(player.Entity.CurrentControls == (EnumEntityActivity.FloorSitting | EnumEntityActivity.Idle)))
            {
                if (((DataFields.maxChargeJump - DataFields.chargeJump) / 10 * DataFields.drainStaminaChargeJump) < DataFields.stamina + 1 && DataFields.chargeJump <= DataFields.maxChargeJump)
                {
                    DataFields.chargeJump += 10;
                    DataFields.stamina -= DataFields.drainStaminaChargeJump;
                }
            }
            else if (DataFields.chargeJump > 0)
            {
                DataFields.chargeJump -= 5;
                if (DataFields.chargeJump < 0)
                {
                    DataFields.chargeJump = 0;
                }
            }

            // Charge Jump
            if (DataFields.chargeJump >= 100)
            {
                Vintagestory.API.Config.GlobalConstants.BaseJumpForce = 12f;
                DataFields.staminaRegenDelay = DataFields.maxStaminaRegenDelay;
                player.Entity.StartAnimation("powerjump");
            }
            else
            {
                Vintagestory.API.Config.GlobalConstants.BaseJumpForce = 8.2f;
                player.Entity.StopAnimation("powerjump");
            }
        }
    }
}
