﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class BehaviorStepheight
    {
        public static void Stepheight(IClientPlayer player)
        {
            // Setting Stepheight
            if (player.Entity.Controls.Sprint && !DataFields.noStep)
            {
                if (DataFields.walkStep || DataFields.sprintStep)
                {
                    player.Entity.GetBehavior<EntityBehaviorControlledPhysics>().stepHeight = 1.0F;
                }
            }
            else
            {
                if (!DataFields.walkStep)
                {
                    player.Entity.GetBehavior<EntityBehaviorControlledPhysics>().stepHeight = 0.9F;
                }
                else
                {
                    player.Entity.GetBehavior<EntityBehaviorControlledPhysics>().stepHeight = 1.0F;
                }
            }
        }
    }
}
