﻿using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class BehaviorSliding
    {
        public static void Sliding(IClientPlayer player, ICoreClientAPI api)
        {
            // Slide start
            if (player.Entity.Controls.Sprint && player.Entity.Controls.TriesToMove && (api.Input.MouseButton.Middle == true) && DataFields.dashCountdown < 1 && !DataFields.isCrawling)
            {
                if (DataFields.stamina > DataFields.drainStaminaDash && DataFields.dashCountdown < 1)
                {
                    player.Entity.Controls.StopAllMovement();
                    if (!DataFields.inGliderMode)
                    {
                        DataFields.isCrawling = true;
                    }
                    DataFields.stamina = DataFields.stamina -= DataFields.drainStaminaDash;
                    DataFields.dashCountdown = DataFields.maxDashCountdown;
                    DataFields.staminaRegenDelay = DataFields.maxStaminaRegenDelay;
                    DataFields.slideTime = 0;
                }
            }

            // Slide-Movement /  50ms
            if (DataFields.slideTime < 10)
            {
                if (!player.Entity.CollidedVertically)
                {
                    player.Entity.Pos.Motion = player.Entity.Pos.Motion * 1;
                    DataFields.slideTime++;
                }
                else
                {
                    player.Entity.Pos.Motion = player.Entity.Pos.Motion * 3;
                    DataFields.slideTime++;
                }
            }
        }
    }
}
