﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class BehaviorWalljump
    {
        public static void Walljump(IClientPlayer player)
        {
            // Walljump
            if (player.Entity.Controls.IsClimbing && player.Entity.Controls.RightMouseDown && !player.Entity.Controls.Backward && player.Entity.Controls.Left)
            {
                if (DataFields.stamina > DataFields.drainStaminaDash && DataFields.dashCountdown < 1)
                {
                    player.Entity.Properties.CanClimbAnywhere = false;
                    player.Entity.Pos.Motion = player.Entity.Pos.Motion * 6;
                    DataFields.stamina = DataFields.stamina -= DataFields.drainStaminaDash;
                    DataFields.staminaRegenDelay = DataFields.maxStaminaRegenDelay;
                    DataFields.dashCountdown = DataFields.maxDashCountdown;

                    player.Entity.StartAnimation("dashleft");
                }
            }
            else if (player.Entity.Controls.IsClimbing && player.Entity.Controls.RightMouseDown && !player.Entity.Controls.Backward && player.Entity.Controls.Right)
            {
                if (DataFields.stamina > DataFields.drainStaminaDash && DataFields.dashCountdown < 1)
                {
                    player.Entity.Properties.CanClimbAnywhere = false;
                    player.Entity.Pos.Motion = player.Entity.Pos.Motion * 6;
                    DataFields.stamina = DataFields.stamina -= DataFields.drainStaminaDash;
                    DataFields.staminaRegenDelay = DataFields.maxStaminaRegenDelay;
                    DataFields.dashCountdown = DataFields.maxDashCountdown;

                    player.Entity.StartAnimation("dashright");
                }
            }
            else if (player.Entity.Controls.IsClimbing && player.Entity.Controls.RightMouseDown && player.Entity.Controls.Backward)
            {
                if (DataFields.stamina > DataFields.drainStaminaDash && DataFields.dashCountdown < 1)
                {
                    player.Entity.Properties.CanClimbAnywhere = false;
                    player.Entity.Pos.Motion = player.Entity.Pos.Motion * 1.5;
                    DataFields.stamina = DataFields.stamina -= DataFields.drainStaminaDash;
                    DataFields.staminaRegenDelay = DataFields.maxStaminaRegenDelay;
                    DataFields.dashCountdown = DataFields.maxDashCountdown;
                }
            }

        }
    }
}
