﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;

namespace vsmovemod.src
{
    class Debug
    {
        public static void OutputDebug(IClientPlayer player)
        {
            //player.ShowChatNotification("Stamina " + stamina.ToString());
            //player.ShowChatNotification("Jumpforce " + chargeJump.ToString());
            //player.ShowChatNotification("Dash Timer: " + DataFields.dashTime.ToString());
            //player.ShowChatNotification("Slide Timer: " + DataFields.slideTime.ToString());
            //player.ShowChatNotification("Activity State: " + player.Entity.CurrentControls.ToString());
            //player.ShowChatNotification("Player Controls: " + player.Entity.Controls.ToString());
            //player.ShowChatNotification("Motion.Y: " + player.Entity.Pos.Motion.Y.ToString());
            //player.ShowChatNotification("Activity isClimbing?: " + player.Entity.Controls.IsClimbing.ToString());
            //player.ShowChatNotification("Activity Jump?: " + player.Entity.Controls.Jump.ToString());
            //player.ShowChatNotification("Block at PlayerPos cimbable?: " + isClimbable.ToString());
            //player.ShowChatNotification("Gravity per second: " + GlobalConstants.GravityPerSecond.ToString());
            //player.ShowChatNotification("Dash-Time: " + slideTime.ToString());
            //player.ShowChatNotification("Motion Stopped?: " + motionStopedAfterDash.ToString());
            //player.ShowChatNotification("Toggle Glider: " + toggleGlider.ToString());
            //player.ShowChatNotification("In Glider-Mode: " + inGliderMode.ToString());
            //player.ShowChatNotification("Glider-Delay: " + gliderDelay.ToString());
            //player.ShowChatNotification("Falldamage-Delay: " + fallDamageDelay.ToString());
            //player.ShowChatNotification("Get fall damage ?: " + player.Entity.Properties.FallDamage.ToString());
            //player.ShowChatNotification("Player on ground ? " + player.Entity.OnGround.ToString());
            //player.ShowChatNotification("Player collided? " + player.Entity.CollidedVertically.ToString());
            //player.ShowChatNotification("Last X: " + lastX.ToString());
            //player.ShowChatNotification("Last Z: " + lastZ.ToString());
            //player.ShowChatNotification("Inert: " + inert.ToString());
            //player.ShowChatNotification("Inert: " + gliderInertTimer.ToString());
            
            // FLIGHT NAV-TOOLS     
            DataFields.flightComputer_refresh--;
            if (DataFields.activateFlightComputer)
            {
                if (DataFields.flightComputer_refresh < 1)
                {
                    player.ShowChatNotification("=========================================");

                    // CLIMATE CONDITIONS
                    //player.ShowChatNotification("Temperature: " + temperature.ToString());
                    //if (windSpeed != null)
                    //{
                    //    player.ShowChatNotification("Windspeed: " + windSpeed.ToString());
                    //}

                    player.ShowChatNotification("=========================================");

                    // FLIGHT FORCES
                    //player.ShowChatNotification("E_pot: " + E_pot.ToString());
                    //player.ShowChatNotification("F_gravity: " + F_gravity.ToString());
                    player.ShowChatNotification("F_lift: " + DataFields.F_lift.ToString());
                    //player.ShowChatNotification("F_Drag: " + F_drag.ToString());

                    //FLIGHT SPEED
                    player.ShowChatNotification("Speed :" + DataFields.motionSumXZ.ToString()); // SumAbsXZ
                    player.ShowChatNotification("Fall-Speed: " + player.Entity.Pos.Motion.Y.ToString());

                    //player.ShowChatNotification("Lift Surface: " + surface_lift.ToString());
                    //player.ShowChatNotification("Drag Surface: " + surface_drag.ToString());

                    DataFields.flightComputer_refresh = 10;
                }
            }
        }
    }
}
