﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Common;
using Vintagestory.GameContent;
using Vintagestory.API.Config;
using Vintagestory.API.MathTools;
using Vintagestory.API.Common.Entities;
using ProtoBuf;


namespace vsmovemod.src
{
    class Timers
    {
        public static void HandleCounters()
        {
            // Counter per Tick (Dash Delay)
            if (DataFields.dashCountdown > 0)
            {
                DataFields.dashCountdown--;
            }

            // Counter per Tick (Stamina Regen-Delay)
            if (DataFields.staminaRegenDelay > 0)
            {
                DataFields.staminaRegenDelay--;
            }

            // Counter per Tick (FallDamage - Delay)
            if (DataFields.fallDamageDelay > 0)
            {
                DataFields.fallDamageDelay--;
            }

            // Counter per Tick (SoundGliding - Countdown)
            if (DataFields.soundGlidingCountdown > 0)
            {
                DataFields.soundGlidingCountdown--;
            }

            // Counter per Tick (SoundGliding - Countdown)
            if (DataFields.soundGlidingOverWaterCd > 0)
            {
                DataFields.soundGlidingOverWaterCd--;
            }

            // Counter per Tick (SoundClimbing - Countdown)
            if (DataFields.soundClimbinglCountdown > 0)
            {
                DataFields.soundClimbinglCountdown--;
            }

            // Counter per Tick (SoundWaterWaves - Countdown)
            if (DataFields.soundWavesCountdown > 0)
            {
                DataFields.soundWavesCountdown--;
            }

            // Counter per Tick (generalAudioDelay - Countdown)
            if (DataFields.generalAudioDelay > 0)
            {
                DataFields.generalAudioDelay--;
            }

            // Counter per Tick (sailInputDelay - Countdown)
            if (DataFields.sailInputDelay > 0)
            {
                DataFields.sailInputDelay--;
            }

            // Counter per Tick (windDirectionTimer - Countdown)
            if (DataFields.windDirectionTimer > 0)
            {
                DataFields.windDirectionTimer--;
            }

            // Counter per Tick (boatUnmountTimer - Countdown)
            if (DataFields.boatUnmountTimer > 0)
            {
                DataFields.boatUnmountTimer--;
            }

            // Counter per Tick (ErrorTimer (boat) - Countdown)
            if (DataFields.errorTimer > 0)
            {
                DataFields.errorTimer--;
            }
        }
    }
}
